API referenceBilling
Create Billing Checkout
Authorization
bearerAuth AuthorizationBearer <token>
Use a project API key for sandbox and runtime routes, or an OpenMetal user access token for account management routes.
In: header
Path Parameters
organization_id*stringFormat
uuidHeader Parameters
Idempotency-Key?stringLength
1–512Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
amount_usd*stringMatch
^\d+(?:\.\d{1,2})?$Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/billing/checkout" \ -H "Content-Type: application/json" \ -d '{ "amount_usd": "string" }'{ "checkout_url": "http://example.com", "purchase_id": "06b23ec9-3221-4327-b592-c31d5c56b2f8", "credit_microusd": "string", "fee_microusd": "string", "total_microusd": "string"}